Bug 235721 - [exp-run] math/py-numpy : Update to 1.16.1
Summary: [exp-run] math/py-numpy : Update to 1.16.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on: 241487
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-13 23:39 UTC by Wen Heping
Modified: 2019-10-25 10:15 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
update to 1.16.1 (4.10 KB, text/plain)
2019-02-13 23:39 UTC, Wen Heping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2019-02-13 23:39:28 UTC
Created attachment 201999 [details]
update to 1.16.1

- Update to 1.16.1
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-02-19 19:51:32 UTC
The py-pyside2 failure seems unrelated.

PySide2/QtWebEngineWidgets/PySide2/QtWebEngineWidgets/pyside2_qtwebenginewidgets_python.h:55:10: fatal error: 'pyside2_qtwebenginecore_python.h' file not found
#include <pyside2_qtwebenginecore_python.h>
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
1 error generated.
ninja: build stopped: subcommand failed.

@antoine, could you please exp-run my patch [1]? It also contains some cleanups to the Makefile. I've confirmed that py-igakit and py-scipy build successfully with it.

[1] https://people.FreeBSD.org/~sunpoet/patch/math-py-numpy.txt
Comment 3 Antoine Brodin freebsd_committer 2019-02-21 10:49:33 UTC
Exp-run looks fine
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-02-21 16:11:30 UTC
Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2019-02-21 16:11:51 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Feb 21 16:11:07 UTC 2019
New revision: 493516
URL: https://svnweb.freebsd.org/changeset/ports/493516

Log:
  Update to 1.16.1

  - Move TEST_DEPENDS upward
  - Simplify Makefile

  Changes:	https://github.com/numpy/numpy/releases
  PR:		235721
  Exp-run by:	antoine

Changes:
  head/math/py-numpy/Makefile
  head/math/py-numpy/distinfo
  head/math/py-numpy/files/patch-numpy-distutils-fcompiler-__init__.py
  head/math/py-numpy/files/patch-numpy-distutils-system_info.py
  head/math/py-numpy/files/patch-numpy-f2py-f2py2e.py
  head/math/py-numpy/files/patch-numpy_f2py_setup.py